/*
 * Copyright (C) 2016 Red Hat, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package io.syndesis.verifier.v1;

import java.util.Map;
import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

import io.syndesis.verifier.api.MetadataAdapter;
import io.syndesis.verifier.api.SyndesisMetadata;
import org.apache.camel.CamelContext;


public class ActionDefinitionEndpoint extends MetadataEndpoint {

    public ActionDefinitionEndpoint(final CamelContext camelContext, final String connectorId, final MetadataAdapter<?> adapter) {
        super(camelContext, connectorId, adapter);
    }

    @POST
    @Produces(MediaType.APPLICATION_JSON)
    @Consumes(MediaType.APPLICATION_JSON)
    @Path("/{actionId}")
    public SyndesisMetadata<?> definition(@PathParam("actionId") final String actionId,
                                          final Map<String, Object> properties) throws Exception {
        return fetchMetadata(actionId, properties);
    }
}
